Subject: [mile] [Technical Errata Reported] RFC6546 (3267)

From: RFC Errata System <[email-masked]>
Date: Tue, 26 Jun 2012 14:36:04 -0700 (PDT)

The following errata report has been submitted for RFC6546,
"Transport of Real-time Inter-network Defense (RID) Messages over HTTP/TLS".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6546&eid=3267

--------------------------------------
Type: Technical
Reported by: John Field <[email-masked]>

Section: 3

Original Text
-------------
In paragraph 4 of section 3, fourth sentence:

"As RID messages MUST be sent using the POST method, the GET and HEAD methods have no particular meaning on a RID system; a RID system SHOULD answer 'GET /' or 'HEAD /' with 204 No Content." 

Corrected Text
--------------
Consistent with RFC 2616 section 10.4.6, a RID system MUST answer any HTTP request to Request-URI of '/' which uses an HTTP method other than 'POST' by producing an HTTP response with a status code of 405 Method Not Allowed.  The RID system HTTP response MUST also include an Allow header indicating that only the 'POST' method is supported.

Notes
-----
There has been a brief discussion of this errata on the MILE list, with the first message in the thread having been posted on June 5, 2012.  

The corrected text that I have suggested above has been written as narrowly as possible, and remains consistent with the original functionality described in 6546.  

Lacking support for 'GET' means that there is no way to verify if a RID endpoint is active, other than by doing a real request, i.e. a Report, or Query, etc.   Thus, one might also consider supporting HEAD, e.g. for RID testing purposes, though that option has not been discussed yet.  Note, however, that supporting HEAD potentially raises further issues since according to RFC 2616 the response headers to a HEAD request SHOULD be consistent with a GET, which is specifically not supported.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6546 (draft-ietf-mile-rfc6046-bis-09)
--------------------------------------
Title               : Transport of Real-time Inter-network Defense (RID) Messages over HTTP/TLS
Publication Date    : April 2012
Author(s)           : B. Trammell
Category            : PROPOSED STANDARD
Source              : Managed Incident Lightweight Exchange
Area                : Security
Stream              : IETF
Verifying Party     : IESG